package com.pranjal.calendarnotificationprovider;

import android.content.Context;
import android.content.SharedPreferences;

public class SharedPrefsManager {

    SharedPreferences prefs;

    SharedPrefsManager(SharedPreferences prefs){
        this.prefs = prefs;
    }

    SharedPrefsManager(Context context,String tag,int mode){
        this.prefs = context.getSharedPreferences(tag,mode);
    }


    String getPreferences(String tag,String defaultValue){
        return prefs.getString(tag,defaultValue);
    }

    int getPreferences(String tag,int defaultValue){
        return prefs.getInt(tag,defaultValue);
    }

    void setPreferences(String tag,String value){
        SharedPreferences.Editor editor = prefs.edit();
        editor.putString(tag,value);
        editor.apply();
    }

    void setPreferences(String tag,int value){
        SharedPreferences.Editor editor = prefs.edit();
        editor.putInt(tag,value);
        editor.apply();
    }
}
